This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1307 - --excludedocs doesn't
--excludedocs doesn't
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-23 18:10 EST by Bill Nottingham
Modified: 2014-03-16 22:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-18 14:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 1999-02-23 18:10:04 EST
[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -i
kernel-2.2.1-6.i386.rpm
error: file /usr/doc/kernel-2.2.1/00-INDEX from install of
kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2
error: file /usr/doc/kernel-2.2.1/Changes from install of
kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2
error: file /usr/doc/kernel-2.2.1/Configure.help from
install of kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2
error: file /usr/doc/kernel-2.2.1/fb/vesafb.txt from install
of kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2
error: file /usr/doc/kernel-2.2.1/proc.txt from install of
kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2

[root@bobby:/mnt/redhat/comps/dist/6.0/i386 ]# rpm -i
--excludedocs kernel-2.2.1-6.i386.rpm
error: file /usr/doc/kernel-2.2.1/00-INDEX from install of
kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2
error: file /usr/doc/kernel-2.2.1/Changes from install of
kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2
error: file /usr/doc/kernel-2.2.1/Configure.help from
install of kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2
error: file /usr/doc/kernel-2.2.1/fb/vesafb.txt from install
of kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2
error: file /usr/doc/kernel-2.2.1/proc.txt from install of
kernel-2.2.1-6 conflicts with file from package
kernel-2.2.1-2
Comment 1 Jeff Johnson 1999-08-18 14:42:59 EDT
The excluded files will not be installed but will still conflict with
an already installed package.

Note You need to log in before you can comment on or make changes to this bug.